package app

import (
	"fonchain-fiee/pkg/middleware"
	"fonchain-fiee/pkg/service"
	serviceCast "fonchain-fiee/pkg/service/app/cast"
	"github.com/gin-gonic/gin"
)

func MediaAppRouter(r *gin.RouterGroup) {
	auth := r.Group("")
	auth.Use(middleware.CheckLogin(service.AccountFieeProvider))
	media := auth.Group("app/media")
	{
		media.POST("user-accounts", serviceCast.UserAccounts)
		media.POST("work-list", serviceCast.MediaWorks)
	}
}
